<h2>FAQ</h2>
<h4><a href="#ubuntu">Linux and Ubuntu</a></h4>
<h4><a href="#internals">Wubi Internals</a></h4>
<h4><a href="#requirements">Requirements</a></h4>
<h4><a href="#use">Use, Installation, Uninstallation</a></h4>
<h4><a href="#warranty">Warranty</a></h4>
<h4><a href="#development">Wubi Development</a></h4>
<h4><a href="#credits">Credits</a></h4>
<br/>

<a id="ubuntu"></a><h2>Linux and Ubuntu</h2><br/>

<h3>What is the relationship between Linux and Ubuntu?</h3>
<p>Ubuntu is an operating system that includes a lot of free and open source applications and uses Linux as its core. Linux is like this amazing solar-powered engine that can be used in a street car, in a F1 or it can be daisy chained to drive a truck or an airplane. Ubuntu is like a car using the Linux engine, a zero emission, fully accessorised and easy to drive all-terrain, with power, acceleration and looks matching far more expensive supercars... Imagine something like that... ...for free.</p><br/>

<h3>Why Ubuntu?</h3>
<p>We think that today Ubuntu it is the best Linux-based operating system for desktop use. We also like its <a href="http://www.ubuntu.com/ubuntu/philosophy">philosophy</a>.You can see some Ubuntu screenshots <a href="http://www.ubuntu.com/desktop">here</a>, for more information visit the <a href="http://www.ubuntu.com/">Ubuntu website</a>.</p><br/>

<h3>Is Wubi officially supported by Ubuntu?</h3>
<p>Not at the moment, Wubi is an independent project, but there are plans to make Wubi an official installer for Ubuntu 7.10.</p><br/>

<h3>What flavor of Ubuntu will I get?</h3>
<p>Most flavors, including <a href="http://www.ubuntu.com">Ubuntu</a> (default, with <a href="http://www.gnome.org">GNOME</a>), <a href="http://www.kubuntu.org">Kubuntu</a> (with <a href="http://www.kde.org">KDE</a>), <a href="http://www.xubuntu.org">Xubuntu</a> (with <a href="http://www.xfce.org">XFCE</a> for older computers), <a href="http://www.xubuntu.org">Edubuntu</a> (good for schools and younger users) and <a href="http://www.ubuntustudio.org">UbuntuStudio</a> (for multimedia workstations). Contact us if you would like your own flavor to be available for installation via Wubi.</p><br/>

<h3>What is the difference among the different Ubuntu flavors?</h3>
<p>Mostly the graphical user interface is different, and the bundled applications may change so that they better integrate with the installed interface. More information can be found at the homepages for <a href="http://www.gnome.org">GNOME</a>, <a href="http://www.kde.org">KDE</a>, and <a href="http://www.xfce.org">XFCE</a>.</p><br/>

<h3>Can I install multiple flavors?</h3>
<p>You can select the desktop environment within Wubi. But since each desktop environment is also available as an application package, it is recommended to install Ubuntu (default option) and from there install the other desktop environments. When you login you can choose the desktop environment to use.</p><br/>

<h3>What applications come with Ubuntu?</h3>
<p>Ubuntu comes fully loaded with most commonly used applications, including a full office suite compatible with MS office, image editing software, picture management software, media player, games, browser, email client, IM and video conferencing software... On top of all of this, you can easily install additional software, from a list of over 20,000 applications.</p><br/>

<h3>All this is installed by Wubi?</h3>
<p>Yes (well... not all of the 20,000 applications, but Ubuntu and everything that comes with it, yes).</p><br/>

<h3>All for free?</h3>
<p>Yes. Wubi is free/open-source software, licensed under the <a href="http://www.gnu.org/copyleft/gpl.html#SEC1">GNU GPL</a></p><br/>

<a id="internals"></a><h2>Wubi Internals</h2><br/>

<h3>How does Wubi work?</h3>
<p>Wubi adds an entry to the Windows boot menu which allows you to run Linux. Ubuntu is installed within a file in the windows file system (c:\wubi\disks\system.virtual.disk), this file is seen by Linux as a real hard disk.</p><br/>

<h3>Is this running Ubuntu within a virtual environment or something similar?</h3>
<p>No. This is a real installation, the only difference is that Ubuntu is installed within a file as opposed to being installed within its own partition. Thus we spare you the trouble to create a free partition for Ubuntu. And we spare you the trouble to have to burn a CD-Rom.</p><br/>

<a id="requirements"></a><h2>Requirements</h2><br/>

<h3>What are the system requirements?</h3>
<p>256 MB RAM and an 1 GHz or faster Intel/AMD processor is recommended for optimal performance, though Xubuntu might work on less. As for disk space, the installation requires a minimum of 4GB. This space is mostly used by the virtual hard disk file. Most computers purchased within the last 3 years should be able to run Ubuntu fine, and Xubuntu is suitable for older computers.</p><br/>

<h3>What platforms are supported?</h3>
<p>Wubi will run on on all Windows versions from Windows 98 to Windows Vista, more platforms to come soon. 64-bit builds are possible but not yet available. Linux/*nix/*BSD are supported through <a href="http://lubi.sourceforge.net">Lubi</a> (<a href="http://sourceforge.net/project/showfiles.php?group_id=198821">download location</a> and <a href="http://ubuntuforums.org/showthread.php?t=441918">guide</a>), and Mac OSX will eventually be supported through Mubi (developers still needed).</p><br/>

<h3>What is the performance?</h3>
<p> The performance is identical to a standard installation, except for hard-disk access which is slightly slower. If your hard disk is very fragmented the performance will degenerate. However, once the Ubuntu install created by Wubi has been transferred to a dedicated partition using <a href="http://lubi.sourceforge.net">LVPM</a>, the hard drive access speed will be identical to that of a standard Ubuntu installation.</p><br/>

<h3>Any gotcha?</h3>
<p> Hibernation/suspend is not supported under Wubi, moreover Wubi filesystem is more vulnerable to hardreboots (unplugging the power) than a normal filesystem, so try to avoid unplugging the power. These problems, however, are no longer present once the Ubuntu install created by Wubi has been transferred to a dedicated partition using <a href="http://lubi.sourceforge.net">LVPM</a>.</p><br/>

<a id="use"></a><h2>Use, Installation, Uninstallation</h2><br/>

<h3>How do I install Ubuntu?</h3>
<p>Run wubi, answer the few questions, reboot and select "Ubuntu" from the boot menu, go grab a coffee and when you are back Ubuntu will be ready for you.</p><br/>
<img src="images/wubi-123.jpg" alt="Wubi Installation" /><br/><br/>

<h3>How do I run Ubuntu?</h3>
<p>You have to reboot and choose "Ubuntu".</p><br/>

<h3>How do I run Windows?</h3>
<p>You have to reboot and choose "Windows".</p><br/>

<h3>How do I uninstall it?</h3>
<p>You uninstall it as any other applications. In windows go to the control panel and select "Add or Remove Programs", then select Wubi and uninstall it. You can also use the uninstaller that you find in C:\wubi\uninstaller.exe.</p><br/>
<img src="images/wubi-remove.png" alt="Wubi Uninstallation" /><br/><br/>

<h3>Can I use my free hard disk space and install Ubuntu there?</h3>
<p>Not at the moment, but the feature is in the pipeline</p><br/>

<h3>Can I move my virtual disk file to a dedicated partition?</h3>
<p>You can use <a href="http://lubi.sourceforge.net">LVPM</a> to transfer your install. A guide and support forum for LVPM is available <a href="http://ubuntuforums.org/showthread.php?t=438591">here</a>.</p><br/>

<a id="warranty"></a><h2>Warranty</h2><br/>

<h3>What warranty do I get?</h3>
<p>None whatsoever. This is free software, and you are free to modify it, use it and redistribute it as you see fit, provided you also allow others the same freedom. Since we do not make any money out of it, it would not be fair for us to be liable if something goes wrong. We think that the technology is safe, but you run it at your own risk. See the <a href="http://www.gnu.org/copyleft/gpl.html#SEC1">GNU GPL license</a> for more details.</p><br/>

<h3>Is there any spyware/virus?</h3>
<p>The software is free/open-source, which means that anybody can check the code, therefore it would be pretty difficult for someone to hide a spyware/virus within the software, but you should always run all your usual security checks. As explained above, there is no warranty.</p><br/>

<a id="development"></a><h2>Wubi Development</h2><br/>

<h3>Is Wubi beta software?</h3>
<p>At the moment, yes.</p><br/>

<h3>How can I help you guys?</h3>
<p>You can help us by <a href="https://bugs.launchpad.net/lupin/">filing/fixing</a> <a href="https://bugs.launchpad.net/wubi/">bugs</a>, <a href="https://launchpad.net/~lupin-team">writing code</a>, or <a href="https://launchpad.net/~lupin-translation-team">translating the project</a>... ...or simply spreading the word.</p>
<br/>

<h3>Show me the code</h3>
<p>The main development happens in 4 separate launchpad projects:</p>
<p>* <a href="https://launchpad.net/lupin">Lupin</a>, the loop-installer, handles everything that happens after you reboot</p>
<p>* <a href="https://launchpad.net/wubi">Wubi</a>, the Windows front-end, handles everything that happens before you reboot</p>
<p>* <a href="https://launchpad.net/lubi">Lubi</a>, the Linux front-end, does basically the same thing as Wubi</p>
<p>* <a href="https://launchpad.net/lvpm">lvpm</a>, Loopmounted Virtual Partition Manager, handles the migration of virtual disks to real partitions</p>
<p>Experimental code can be downloaded from the <a href="http://cutlersoftware.com/ubuntusetup/devel/">devel area</a></p>
<p>Current code can be downloaded from the <a href="http://sourceforge.net/project/showfiles.php?group_id=198355">Wubi</a> and <a href="http://sourceforge.net/project/showfiles.php?group_id=198821">Lubi/LVPM</a> download areas</p>
<p>Archived versions can be found at <a href="http://cutlersoftware.com/ubuntusetup/archive/">the older archives</a> and the <a href="http://cutlersoftware.com/ubuntusetup/wubi/downloads/">newer archives</a></p>
<p>Our code is licensed under the <a href="http://www.gnu.org/copyleft/gpl.html#SEC1">GPL-v2 and above</a>. Linux is licensed under the <a href="http://www.gnu.org/copyleft/gpl.html#SEC1">GPL-v2</a></p>
<br/>

<h3>History:</h3>
<p>The original idea of a loopmounted installation (the technique that allows to install Linux without formatting the hard disk) 
was first pioneered in a variety of other Linux distributions, such as Topologilinux, but the application of the concept to Ubuntu was drafted in these two specifications: 
a more general Windows-based setup.exe with an overview of possible solutions <a href="https://launchpad.net/ubuntu/+spec/ubuntu-setup.exe">spec</a> by Agostino Russo (ago), and a
more specialized loopmounted install.exe that went into more detail on the implementation <a href="https://blueprints.launchpad.net/ubuntu/+spec/windows-installer">spec</a> by Geza Kovacs (tuxcantfly). 
The actual development and creation of prototypes began in November 2006, as the devs, originally Geza Kovacs (tuxcantfly) and Oliver Mattos (hello1024), then later Agostino Russo (ago) and ecology2007, coordinated their efforts on the project, then known as the "Windows-based Ubuntu Installer", using 2 big forum threads 
(<a href="http://www.ubuntuforums.org/showthread.php?t=305109">first thread</a> and 
 <a href="http://www.ubuntuforums.org/showthread.php?t=338279">its continuation</a>). 
 Two separate projects were then created, for which new names where chosen (lupin and wubi), and this is where current development is taking place. 
 Lubi and LVPM were subsequently created. Lupin and Wubi are currently being incorporated into the new official release of Ubuntu (7.10).</p>
 <br/>

<a id="credits"></a><h2>Credits</h2><br/>
 
<h3>Lead developers:</h3>
<p><a href="https://launchpad.net/~ago">Agostino Russo</a> (<a href="http://ubuntuforums.org/member.php?u=9190">ago</a>): project manager, <a href="https://launchpad.net/wubi">wubi</a> and  <a href="https://launchpad.net/lupin">lupin</a> author</p>
<p><a href="https://launchpad.net/~gezakovacs">Geza Kovacs</a> (<a href="http://ubuntuforums.org/member.php?u=79823">tuxcantfly</a>): initial prototypes, <a href="https://launchpad.net/lubi">lubi</a> and <a href="https://launchpad.net/lvpm">lvpm</a> author, <a href="https://launchpad.net/lupin">lupin</a> and <a href="http://launchpad.net/wubi">wubi</a> developer</p>
<p><a href="https://launchpad.net/~ecology2007">Ecology2007</a> (<a href="http://ubuntuforums.org/member.php?u=237677">ecology2007</a>): current <a href="https://launchpad.net/wubi">wubi</a> maintainer</p>
<p><a href="https://launchpad.net/~omattos">Oliver Mattos</a> (<a href="http://ubuntuforums.org/member.php?u=216198">hello1024</a>): <a href="https://launchpad.net/wubi">wubi</a> author</p>
<p><a href="https://launchpad.net/~hw-vox">Hampus Wessman</a> (<a href="http://ubuntuforums.org/member.php?u=253247">hampusw</a>): downloader, localization</p>
<br/>

<h3>Other contributors:</h3>
<p><a href="https://launchpad.net/~miekkonen">Spegelius</a> (raid0 support)</p>
<p>Bean123 and Tinybit (grldr support)</p>
<p><a href="https://launchpad.net/~computerguru">Computer Guru</a> (vista support)</p>
<p><a href="https://launchpad.net/~evand">Evand</a> (migration-assistant support)</p>
<p>Szabolcs Szakacsits (ntfs-3g support)</p>
<p>All the translators</p>
<p>All the users that helped us in testing/improving Wubi</p>
<br/>

<h3>Website:</h3>
<p><a href="http://www.exsub.com/">Exsub</a> (web design)</p>
<p>Agostino Russo (current website content)</p>
<p>Geza Kovacs (<a href="http://cutlersoftware.com/ubuntusetup/archive/website/original/">initial website</a>)</p>
<p><a href="http://www.cutlersoftware.com/">Cutlersoftware</a> (hosting)</p>
<p><a href="http://www.sourceforge.net/">Sourceforge</a> (hosting)</p>
<p><a href="http://www.ubuntuforums.org/forumdisplay.php?f=234">Ubuntuforums</a> (forum hosting)</p>
<br/>

<h3>On the shoulders of giants</h3>
<p>Wubi is what it is because it relies on other open source projects: <a href="http://www.gnu.org/">GNU</a>/<a href="http://www.kernel.org">Linux</a>, <a href="http://www.ubuntu.com">Ubuntu</a>, <a href="http://www.debian.org/devel/debian-installer/">Debian-Installer</a>, <a href="https://launchpad.net/migration-assistant">Migration-Assistant</a>, <a href="http://gna.org/projects/grub4dos">Grub4Dos</a>, <a href="http://www.ntfs-3g.org/">NTFS-3G</a>, <a href="http://nsis.sourceforge.net">NSIS</a>, <a href="http://metalinker.org/">Metalink</a></p>
<br/>

<h3>Similar projects:</h3>
<p><a href="http://www.topologilinux.com/">Topologilinux</a>, <a href="http://instlux.sourceforge.net/">Instlux</a>, <a href="http://goodbye-microsoft.com/">Win32-loader</a></p>
<br/>

