<?php
    require_once("localization.php");
    $pages = array(
        "index" => gettext("Home"),
        "screenshots" => gettext("Screenshots"),
        "faq" => gettext("FAQ"),
        "support" => gettext("Support")
    );
    $titles = array(
        "index" => gettext("Wubi - The Easiest Way to Linux"),
        "screenshots" => gettext("Wubi - Screenshots"),
        "faq" => gettext("Wubi - FAQ"),
        "support" => gettext("Wubi - Support")
    );
    $title = $titles[$page];
    $pagename = $pages[$page];
    echo '<?xml version="1.0" encoding="UTF-8"?>';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html  xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title><?php echo $title ?></title>
    <meta name="DESCRIPTION" content="Wubi is an unofficial Ubuntu installer for Windows users that will bring you into the Linux world with a single click. Wubi allows you to install and uninstall Ubuntu Linux as any other application." />
    <meta name="KEYWORDS" content="linux,ubuntu,installer,windows,simple installer,easy installation" />
    <link rel="stylesheet" href="wubi.css" type="text/css" />
</head>
<body>
	<div id="container">
		<div id="header">
			<div id="navcontainer">
                <ul id="navlist">
                    <li id="active"><a href="index.php" id="current">Home</a></li>
                    <li><a href="screenshots.php">Screenshots</a></li>
                    <li><a href="faq.php">FAQ</a></li>
                    <li><a href="support.php">Support</a></li>
                </ul>
            </div>
            <a id="download" href="latest.php">
                <span>Download</span>
            </a>
        </div>
        <br/>
        <div id="content">
            <?php include("$page-content.php"); ?>
        </div>
    </div>
    <div id="footer">
    <a href="http://sourceforge.net/projects/wubi/"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=198355&amp;type=1" width="88" height="31" alt="SourceForge.net Logo" /></a>
    <a href="http://cutlersoftware.com"><img src="images/cutlersoftware.gif" width="88" height="31" alt="Cutlersoftware.com Logo" /></a>
    <p>Copyright (c) 2007-2009 Wubi. All rights reserved.</p>
    <br/>
    </div>
</body>
</html>
